<h1>Thống Kê Số Lượng Thiếu Nhi Năm Học <%= @current_year_long %></h1>
<h4>Số Lượng : <%= @cells.count %></h4>

<table>
  <thead>
    <tr>
      <th stye="width: 50px">STT</th>
      <th style='width: 100px'>Tên Lớp</th>
      <th style='width:  94px'>Tổng Số</th>
      <th style='width:  94px'>Nghỉ Luôn</th>
      <th style='width:  94px'>Chuyển Xứ</th>
      <th style='width:  94px'>Đang Học</th>
      <th style='width:  94px'>Lên Lớp</th>
      <th style='width:  94px'>Học Lại</th>
    </tr>
  </thead>

  <tbody>
    <% @cells.each do |cell| %>
    <% default_location = "Vô Gia Cư"; default_location = cell.location if cell.location? %>
      <tr class="table-row">
        <td style='width: 50px'><%= @cells.index(cell) + 1 %></td>
        <td style='width: 100px'><%= link_to cell.name, cell %></td>
        <td style='width:  94px'><%= cell.attendances.count %></td>
        <td style='width:  94px'><%= cell.attendances.where(result: 'Nghỉ Luôn').count %></td>
        <td style='width:  94px'><%= cell.attendances.where(result: 'Chuyển Xứ').count %></td>
        <td style='width:  94px'><%= cell.attendances.where(result: 'Đang Học').count %></td>
        <td style='width:  94px'><%= cell.attendances.where(result: 'Lên Lớp').count %></td>
        <td style='width:  94px'><%= cell.attendances.where(result: 'Học Lại').count %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<div class="divider"></div>
<%= link_to "In Bảng Thống Kê", cells_path(format: "pdf"), :class => "button" %>